Subject: bug#63023: bug-gnuzilla Digest, Vol 194, Issue 2

From: Jorge Terán <[email-masked]>
Date: Sat, 22 Apr 2023 13:17:02 -0400

Now I remember what happened to youtube, I was also bothered by the way to
redirect my search and it was due to a default plugin in Icecat but it can
be deactivated.

El sáb, 22 abr 2023 a la(s) 12:02, <[email-masked]> escribió:

> Send bug-gnuzilla mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://lists.gnu.org/mailman/listinfo/bug-gnuzilla
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of bug-gnuzilla digest..."
>
>
> Today's Topics:
>
>    1. bug#62981: Twitter redirect (Antonio T. sagitter)
>    2. bug#62981: Twitter redirect (Mark H Weaver)
>    3. bug#62981: Twitter redirect (Antonio T. sagitter)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Fri, 21 Apr 2023 20:05:53 +0200
> From: "Antonio T. sagitter" <[email-masked]>
> To: Jeremie King <[email-masked]>, [email-masked]
> Subject: bug#62981: Twitter redirect
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"; Format="flowed"
>
> Which addons have you installed in Icecat?
>
> On 21/04/23 00:45, Jeremie King wrote:
> > Version 102.9.0esr (64-bit)
> > Clean install from Fedora 37 repos
> >
> >
> > Problem: Twitter is redirecting to inappropriate websites. It looks like
> > maybe there was something that would redirect users to nitter (why would
> > that be appropriate anyway, the browser should not be interfering with
> > my choice of URL) and maybe the old link doesn't work anymore? It looks
> > like it's one of those parked URLs that transfers to multiple domains
> > for ad revenue.
> >
> > How disappointing! I would love to switch from firefox to ice cat... but
> > this is nefarious behavior!
> >
> > I can provide screenshots or video of the issue. Again, this is a very
> > clean install on a new system. I have also reproduced on multiple
> machines.
> >
> >
>
> --
> ---
> Antonio Trande
> Fedora Project
> mailto: [email-masked]
> GPG key: 0x40FDA7B70789A9CD
> GPG keys server: https://keyserver.dcc.sib.swiss/
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: OpenPGP_signature
> Type: application/pgp-signature
> Size: 840 bytes
> Desc: OpenPGP digital signature
> URL: <
> https://lists.gnu.org/archive/html/bug-gnuzilla/attachments/20230421/c54170fa/attachment.sig
> >
>
> ------------------------------
>
> Message: 2
> Date: Fri, 21 Apr 2023 18:09:50 -0400
> From: Mark H Weaver <[email-masked]>
> To: Jeremie King <[email-masked]>, [email-masked]
> Subject: bug#62981: Twitter redirect
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=utf-8
>
> Hi Jeremie,
>
> Jeremie King <[email-masked]> writes:
>
> > Version 102.9.0esr (64-bit)
> > Clean install from Fedora 37 repos
> >
> > Problem: Twitter is redirecting to inappropriate websites. It looks
> > like maybe there was something that would redirect users to nitter
> > (why would that be appropriate anyway, the browser should not be
> > interfering with my choice of URL) and maybe the old link doesn't work
> > anymore? It looks like it's one of those parked URLs that transfers to
> > multiple domains for ad revenue.
>
> This behavior is caused by the "Privacy Redirect" addon, which is
> bundled with IceCat but can be easily disabled by visiting the
> <about:addons> page.  It includes a built-in list of Nitter instances to
> redirect to, here:
>
>
> https://git.savannah.gnu.org/cgit/gnuzilla.git/tree/data/extensions/%7bb7f9d2cd-d772-4302-8c3f-eb941af36f76%7d/assets/javascripts/remove-twitter-sw.js
>
> Perhaps that list is now out-of-date and includes some URLs that are no
> longer running Nitter.
>
> > How disappointing! I would love to switch from firefox to ice
> > cat... but this is nefarious behavior!
>
> I'm sorry that you consider it nefarious.  I can understand why you feel
> that way, but here's another point of view: it has become very common
> for news articles and other web pages to include embedded tweets.  When
> you visit one of those pages with most web browsers, Twitter finds out
> that you visited that page and gets to run its own Javascript code on
> your web browser regardless of your wishes.  If you block that
> Javascript code from running, you simply don't see the embedded tweets,
> which may make it hard to understand the article you're trying to read.
> Ditto for YouTube and Instagram and others.
>
> Privacy Redirect is a tool to help address this issue.
>
> If you disagree that Privacy Redirect should be included with IceCat,
> feel free to start a discussion about it on our mailing lists.
> gnuzilla-dev might be a good choice for such a discussion.
>
> For the record, I was not actually the person who decided to add Privacy
> Redirect as a bundled addon to IceCat, so I'm not heavily invested in
> keeping it.  I'm sympathetic to the reasons for including it, but I'm
> also sympathetic to your position.  If you raise the issue, I pledge to
> listen with an open mind.  I'd also like to hear from Rubèn, who added
> this extension to IceCat in the first place.
>
>        Regards,
>          Mark
>
>
>
>
>
> ------------------------------
>
> Message: 3
> Date: Sat, 22 Apr 2023 13:03:58 +0200
> From: "Antonio T. sagitter" <[email-masked]>
> To: Mark H Weaver <[email-masked]>, Jeremie King
>         <[email-masked]>, [email-masked]
> Subject: bug#62981: Twitter redirect
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="utf-8"; Format="flowed"
>
> I doubt thar Icecat-102.9.0 from Fedora repos provides the "Privacy
> Redirect" addon because i removed it some time ago; probably, it's a
> refuse from older Icecat releases.
>
> On 22/04/23 00:09, Mark H Weaver wrote:
> > Hi Jeremie,
> >
> > Jeremie King <[email-masked]> writes:
> >
> >> Version 102.9.0esr (64-bit)
> >> Clean install from Fedora 37 repos
> >>
> >> Problem: Twitter is redirecting to inappropriate websites. It looks
> >> like maybe there was something that would redirect users to nitter
> >> (why would that be appropriate anyway, the browser should not be
> >> interfering with my choice of URL) and maybe the old link doesn't work
> >> anymore? It looks like it's one of those parked URLs that transfers to
> >> multiple domains for ad revenue.
> >
> > This behavior is caused by the "Privacy Redirect" addon, which is
> > bundled with IceCat but can be easily disabled by visiting the
> > <about:addons> page.  It includes a built-in list of Nitter instances to
> > redirect to, here:
> >
> >
> https://git.savannah.gnu.org/cgit/gnuzilla.git/tree/data/extensions/%7bb7f9d2cd-d772-4302-8c3f-eb941af36f76%7d/assets/javascripts/remove-twitter-sw.js
> >
> > Perhaps that list is now out-of-date and includes some URLs that are no
> > longer running Nitter.
> >
> >> How disappointing! I would love to switch from firefox to ice
> >> cat... but this is nefarious behavior!
> >
> > I'm sorry that you consider it nefarious.  I can understand why you feel
> > that way, but here's another point of view: it has become very common
> > for news articles and other web pages to include embedded tweets.  When
> > you visit one of those pages with most web browsers, Twitter finds out
> > that you visited that page and gets to run its own Javascript code on
> > your web browser regardless of your wishes.  If you block that
> > Javascript code from running, you simply don't see the embedded tweets,
> > which may make it hard to understand the article you're trying to read.
> > Ditto for YouTube and Instagram and others.
> >
> > Privacy Redirect is a tool to help address this issue.
> >
> > If you disagree that Privacy Redirect should be included with IceCat,
> > feel free to start a discussion about it on our mailing lists.
> > gnuzilla-dev might be a good choice for such a discussion.
> >
> > For the record, I was not actually the person who decided to add Privacy
> > Redirect as a bundled addon to IceCat, so I'm not heavily invested in
> > keeping it.  I'm sympathetic to the reasons for including it, but I'm
> > also sympathetic to your position.  If you raise the issue, I pledge to
> > listen with an open mind.  I'd also like to hear from Rubèn, who added
> > this extension to IceCat in the first place.
> >
> >         Regards,
> >           Mark
> >
> >
> >
>
> --
> ---
> Antonio Trande
> Fedora Project
> mailto: [email-masked]
> GPG key: 0x40FDA7B70789A9CD
> GPG keys server: https://keyserver.dcc.sib.swiss/
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: OpenPGP_signature
> Type: application/pgp-signature
> Size: 840 bytes
> Desc: OpenPGP digital signature
> URL: <
> https://lists.gnu.org/archive/html/bug-gnuzilla/attachments/20230422/28539a23/attachment.sig
> >
>
> ------------------------------
>
> Subject: Digest Footer
>
> _______________________________________________
> bug-gnuzilla mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-gnuzilla
>
>
> ------------------------------
>
> End of bug-gnuzilla Digest, Vol 194, Issue 2
> ********************************************
>